package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 老师签到表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("teacher_attendance")
public class TeacherAttendance extends Model<TeacherAttendance> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("teacher_id_")
    private Integer teacherId;
    @TableField("music_group_id_")
    private Integer musicGroupId;
    @TableField("class_group_id_")
    private Integer classGroupId;
    @TableField("course_schedule_id_")
    private Long courseScheduleId;
    /**
     * 签到时间
     */
    @TableField("sign_in_time_")
    private Date signInTime;
    /**
     * 状态(正常签到，异常签到)
     */
    @TableField("status_")
    private String status;
    /**
     * 备注
     */
    @TableField("remark_")
    private String remark;
    @TableField("create_time_")
    private Date createTime;


    public Long getId() {
        return id;
    }

    public TeacherAttendance setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public TeacherAttendance setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
        return this;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public TeacherAttendance setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public TeacherAttendance setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
        return this;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public TeacherAttendance setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
        return this;
    }

    public Date getSignInTime() {
        return signInTime;
    }

    public TeacherAttendance setSignInTime(Date signInTime) {
        this.signInTime = signInTime;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public TeacherAttendance setStatus(String status) {
        this.status = status;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public TeacherAttendance setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TeacherAttendance setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TeacherAttendance{" +
        ", id=" + id +
        ", teacherId=" + teacherId +
        ", musicGroupId=" + musicGroupId +
        ", classGroupId=" + classGroupId +
        ", courseScheduleId=" + courseScheduleId +
        ", signInTime=" + signInTime +
        ", status=" + status +
        ", remark=" + remark +
        ", createTime=" + createTime +
        "}";
    }
}
